Want more timely Centmin Mod News Updates?
Become a Member

Master Branch only install newer wget versions if 64bit OS detected

Discussion in 'Centmin Mod Github Commits' started by eva2000, Mar 30, 2018.

  1. eva2000

    eva2000 Administrator Staff Member

    33,704
    7,465
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +11,476
    Local Time:
    2:02 AM
    Nginx 1.13.x
    MariaDB 5.5
    only install newer wget versions if 64bit OS detected

    - newer source compiled wget versions on centos 6 require devtoolset SCL repo but it's only available for centos 6 64bit and not centos 6 32bit OSes so skip attempting to install wget newer version for centos 6 32bit and use system provided wget version instead
    - reason centminmod chose to use newer source compiled wget in the past was due to redhat/centos upstream refusing to fix wget security vulnerability in centos 6 and only fixing it in centos 7. Seeing as wget is crucial to everything Centmin Mod does, decided to source compile newer wget version for both centos 6 and 7 to ensure latest security updates are always available. But centos 6 uses GCC 4.4.7 and is too old to recompile wget and it's pcre dependency so requires devtoolset SCL repo which isn't available to 32bit OSes.

    Continue reading...

    Centmin Mod Github Master branch

    Master branch is where most recent commits are made as at May 24, 2015.
     
..